- name: Build aur packages
  register: buildaur
  become_user: "{{ build_user.name }}"
  command: "aurutils-sync --no-view {{ item }}"
  args:
    creates: "/var/cache/pacman/custom/{{ item }}-*.pkg.tar.*"
  loop:
    - wlvncc-git
    - wl-screenrec-git

- name: Update cache
  when: buildaur.changed
  pacman:
    name: []
    state: present
    update_cache: true

- name: Install packages
  package:
    name:
      - wev
      - xorg-xauth
      - xorg-xeyes
      - xorg-xwayland
      - rofimoji
      - wlvncc-git
      - wl-screenrec-git # screen recording

- name: Install scripts
  copy:
    src: "files/{{ item.src }}"
    dest: "{{ item.dest }}"
    mode: 0755
    owner: root
    group: wheel
  loop:
    - src: launch_sway_linux.bash
      dest: /usr/local/bin/launch_sway
